Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.portals.bridges.struts
Class PortletServletRequestWrapper

    java.lang.Object
      javax.servlet.ServletRequestWrapper
          javax.servlet.http.HttpServletRequestWrapper
              org.apache.portals.bridges.struts.PortletServletRequestWrapper

All Implemented Interfaces:
  javax.servlet.http.HttpServletRequest, javax.servlet.ServletRequest

public class PortletServletRequestWrapper
extends javax.servlet.http.HttpServletRequestWrapper

PortletServletRequestWrapper

Version:
  $Id: PortletServletRequestWrapper.java 545677 2007-06-09 00:54:35Z ate $
Author:
  Ate Douma

Field Summary
`private javax.servlet.ServletContext` | `context`
`private static org.apache.commons.logging.Log` | `log`
`private javax.servlet.http.HttpSession` | `session`

Fields inherited from class javax.servlet.ServletRequestWrapper
``

Fields inherited from interface javax.servlet.http.HttpServletRequest
`BASIC_AUTH, CLIENT_CERT_AUTH, DIGEST_AUTH, FORM_AUTH`

Constructor Summary
`PortletServletRequestWrapper(javax.servlet.ServletContext context, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpSession proxiedSession)`

Method Summary
`String` | `getContextPath()`
`String` | `getPathInfo()`
`String` | `getQueryString()`
`javax.servlet.RequestDispatcher` | `getRequestDispatcher(String relativePath)`
`String` | `getRequestURI()`
`String` | `getServletPath()`
`javax.servlet.http.HttpSession` | `getSession()`
`javax.servlet.http.HttpSession` | `getSession(boolean create)`

Methods inherited from class javax.servlet.http.HttpServletRequestWrapper
`getAuthType, getCookies, getDateHeader, getHeader, getHeaderNames, getHeaders, getIntHeader, getMethod, getPathTranslated, getRemoteUser, getRequestedSessionId, getRequestURL, getUserPrincipal, isRequestedSessionIdFromCookie, isRequestedSessionIdFromUrl, isRequestedSessionIdFromURL, isRequestedSessionIdValid, isUserInRole`

Methods inherited from class javax.servlet.ServletRequestWrapper
`getAttribute, getAttributeNames, getCharacterEncoding, getContentLength, getContentType, getInputStream, getLocale, getLocales, getParameter, getParameterMap, getParameterNames, getParameterValues, getProtocol, getReader, getRealPath, getRemoteAddr, getRemoteHost, getRequest, getScheme, getServerName, getServerPort, isSecure, removeAttribute, setAttribute, setCharacterEncoding, setRequest`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.servlet.ServletRequest
`getAttribute, getAttributeNames, getCharacterEncoding, getContentLength, getContentType, getInputStream, getLocale, getLocales, getParameter, getParameterMap, getParameterNames, getParameterValues, getProtocol, getReader, getRealPath, getRemoteAddr, getRemoteHost, getScheme, getServerName, getServerPort, isSecure, removeAttribute, setAttribute, setCharacterEncoding`

Field Detail

### log

    private static final org.apache.commons.logging.Log log

### context

    private javax.servlet.ServletContext context

### session

    private javax.servlet.http.HttpSession session

Constructor Detail

### PortletServletRequestWrapper

    public PortletServletRequestWrapper(javax.servlet.ServletContext context,
                                        javax.servlet.http.HttpServletRequest request,
                                        javax.servlet.http.HttpSession proxiedSession)

Method Detail

### getPathInfo

    public String getPathInfo()

### getContextPath

    public String getContextPath()

### getRequestURI

    public String getRequestURI()

### getServletPath

    public String getServletPath()

### getQueryString

    public String getQueryString()

### getRequestDispatcher

    public javax.servlet.RequestDispatcher getRequestDispatcher(String relativePath)

### getSession

    public javax.servlet.http.HttpSession getSession()

### getSession

    public javax.servlet.http.HttpSession getSession(boolean create)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 Apache Software Foundation. All Rights Reserved.